কী-এর ওভারভিউ
| কী-এর সংস্করণ | V4 |
|---|---|
| স্পেসিফিকেশন | RFC 2440 · RFC 4880 · RFC 9580 |
| অবস্থা | সামঞ্জস্যপূর্ণ, তবে RFC 9580 এটিকে অবচিত করেছে |
| প্রাথমিক কী (প্রত্যয়ন, স্বাক্ষর) | ECDSA NIST P-256 · ID 19 · SHA-256 |
| এনক্রিপশন সাবকী | ECDH NIST P-256 · ID 18 |
| ফিঙ্গারপ্রিন্ট | 9035B23C46C6563DF82B9E4AFD8B9262EA769B30 |
| ব্যক্তিগত কী-এর পাসফ্রেজ | synthetic-key-password |
অ্যালগরিদম ও ব্যবহার
ECDSA NIST P-256: NIST P-256 কার্ভে এলিপটিক কার্ভ স্বাক্ষর, স্মার্ট কার্ড, HSM এবং NIST কার্ভ আবশ্যক এমন পরিবেশে প্রচলিত।
ECDH NIST P-256: এলিপটিক কার্ভ ডিফি–হেলম্যান এনক্রিপশন সাবকী, এই কার্ভে: NIST P-256.
পাবলিক কী
প্রাথমিক কী, এনক্রিপশন সাবকী ও তাদের বাইন্ডিং স্বাক্ষরসহ পাবলিক সার্টিফিকেট। স্বাক্ষর যাচাই বা এই পরীক্ষামূলক পরিচয়ের জন্য এনক্রিপ্ট করতে ইমপোর্ট করুন।
ডাউনলোড → 725 বাইট
-----BEGIN PGP PUBLIC KEY BLOCK-----
xlIEaveE/xMIKoZIzj0DAQcCAwTiO2guFVq+8UnLZmUDR5k2BseblWOTZL/YazD4
W0sYE0tBjponCMjCzBIGbDLw5JPZlN46vtmb5ojV6ALysNA9zSZDSC1KIG1hdHJp
eCAyMS12NC1lY2RzYS1wMjU2K2VjZGgtcDI1NsKMBBMTCAA0BQJq94T/FiEEkDWy
PEbGVj34K55K/YuSYup2mzACGwMCHgEDCwkHARUBFgUnCQIHAgIZAQAKCRD9i5Ji
6nabMCpEAQCx7hJxkEYid8QSVBgYQ75UIhUkk5UCgBt2BFnMz0Y92QEAwxc+ut0c
P1Nw8Vj4j1P8y14TPsnXZlD9Z2EupbOBLx7OVgRq94T/EggqhkjOPQMBBwIDBAPh
yQIH6+6XdJj+CNhL8djMYuA2qdGo91dpPFsIQawnf8gBndG/8GYKiaQ7Kk3m+JTe
WrURcrfp6CnfmMLmtxoDAQgHwngEGBMIACAFAmr3hP8WIQSQNbI8RsZWPfgrnkr9
i5Ji6nabMAIbDAAKCRD9i5Ji6nabMBT1AQCtittaItUx5XMRZ+wmM+LbbVxTR+Yt
zwpGTHDiVHMMrgD+IPYPe/UFmG3UTGeISGKKkuGiHB1Oo/akskAikO4t4Y4=
=lumU
-----END PGP PUBLIC KEY BLOCK-----
ব্যক্তিগত কী
ওপরে দেখানো পাসফ্রেজ দিয়ে সুরক্ষিত ব্যক্তিগত কী। শুধু পরীক্ষার জন্য প্রকাশিত: যে কেউ ব্যবহার করতে পারে।
ডাউনলোড → 951 বাইট
দেখান
-----BEGIN PGP PRIVATE KEY BLOCK-----
xaUEaveE/xMIKoZIzj0DAQcCAwTiO2guFVq+8UnLZmUDR5k2BseblWOTZL/YazD4
W0sYE0tBjponCMjCzBIGbDLw5JPZlN46vtmb5ojV6ALysNA9/gkDCFURBCm9cjNe
4EN4aM1H5Zk18vmdR9Orrrh0qYonW1kRXrcoDIJn+qu6pXHpSNuhmvNpH/J2VR2H
knqkyWQBwS0Ny0MNcJIfeFdtyDcSU4HNJkNILUogbWF0cml4IDIxLXY0LWVjZHNh
LXAyNTYrZWNkaC1wMjU2wowEExMIADQFAmr3hP8WIQSQNbI8RsZWPfgrnkr9i5Ji
6nabMAIbAwIeAQMLCQcBFQEWBScJAgcCAhkBAAoJEP2LkmLqdpswKkQBALHuEnGQ
RiJ3xBJUGBhDvlQiFSSTlQKAG3YEWczPRj3ZAQDDFz663Rw/U3DxWPiPU/zLXhM+
yddmUP1nYS6ls4EvHsepBGr3hP8SCCqGSM49AwEHAgMEA+HJAgfr7pd0mP4I2Evx
2Mxi4Dap0aj3V2k8WwhBrCd/yAGd0b/wZgqJpDsqTeb4lN5atRFyt+noKd+Ywua3
GgMBCAf+CQMIVczLM7xTf1ngxa7cGuQZK+wSYgMgYe9qNrtY9C+wJ4Uyk5o2+vQD
wO0NeGmBe3D9fsglKFVub/2Le++MWokdGxhSgqXzompyM8nlN8UGY8J4BBgTCAAg
BQJq94T/FiEEkDWyPEbGVj34K55K/YuSYup2mzACGwwACgkQ/YuSYup2mzAU9QEA
rYrbWiLVMeVzEWfsJjPi221cU0fmLc8KRkxw4lRzDK4A/iD2D3v1BZht1ExniEhi
ipLhohwdTqP2pLJAIpDuLeGO
=9LHf
-----END PGP PRIVATE KEY BLOCK-----
প্রত্যাহার সার্টিফিকেট
আগে থেকে তৈরি প্রত্যাহার সার্টিফিকেট। ইমপোর্ট করলে কী-টি প্রত্যাহৃত হিসেবে চিহ্নিত হয়; প্রত্যাহৃত কী সফটওয়্যার কীভাবে পরিচালনা করে তা পরীক্ষার জন্য প্রকাশিত।
ডাউনলোড → 888 বাইট
দেখান
-----BEGIN PGP PUBLIC KEY BLOCK-----
xlIEaveE/xMIKoZIzj0DAQcCAwTiO2guFVq+8UnLZmUDR5k2BseblWOTZL/YazD4
W0sYE0tBjponCMjCzBIGbDLw5JPZlN46vtmb5ojV6ALysNA9wnUEIBMIAB0FAmr3
hP8WIQSQNbI8RsZWPfgrnkr9i5Ji6nabMAAKCRD9i5Ji6nabMMMvAQDZsYafgU8w
DxL/9AIp7XyUdZgD+TALeB9DCYv8pHAqjQD/TL5S2FlR1+h/e5fB7hvYH8upxWOB
XxDnjEgnxk5wvdjNJkNILUogbWF0cml4IDIxLXY0LWVjZHNhLXAyNTYrZWNkaC1w
MjU2wowEExMIADQFAmr3hP8WIQSQNbI8RsZWPfgrnkr9i5Ji6nabMAIbAwIeAQML
CQcBFQEWBScJAgcCAhkBAAoJEP2LkmLqdpswKkQBALHuEnGQRiJ3xBJUGBhDvlQi
FSSTlQKAG3YEWczPRj3ZAQDDFz663Rw/U3DxWPiPU/zLXhM+yddmUP1nYS6ls4Ev
Hs5WBGr3hP8SCCqGSM49AwEHAgMEA+HJAgfr7pd0mP4I2Evx2Mxi4Dap0aj3V2k8
WwhBrCd/yAGd0b/wZgqJpDsqTeb4lN5atRFyt+noKd+Ywua3GgMBCAfCeAQYEwgA
IAUCaveE/xYhBJA1sjxGxlY9+CueSv2LkmLqdpswAhsMAAoJEP2LkmLqdpswFPUB
AK2K21oi1THlcxFn7CYz4tttXFNH5i3PCkZMcOJUcwyuAP4g9g979QWYbdRMZ4hI
YoqS4aIcHU6j9qSyQCKQ7i3hjg==
=y/vE
-----END PGP PUBLIC KEY BLOCK-----
test_1MB.bin‑এর স্বাক্ষর
CH-J Tools‑এ এই কী দিয়ে তৈরি test_1MB.bin‑এর বিচ্ছিন্ন ASCII-armored স্বাক্ষর। পরীক্ষামূলক ফাইলের পাশে test_1MB.bin.asc নামে সংরক্ষণ করুন।
ডাউনলোড → 228 বাইট
-----BEGIN PGP SIGNATURE-----
wnUEABMIAB0WIQSQNbI8RsZWPfgrnkr9i5Ji6nabMAUCaveO8QAKCRD9i5Ji6nab
MKkPAQCGF3CU65a6U9xHp5Pnn6N9upLJTk9mkd9bxE6mghNDiwD+MXFxKbjlwS5B
thbU1fKoTtT9z5QRjlfFCuPe+y/a6wE=
=loPC
-----END PGP SIGNATURE-----
স্বাক্ষর যাচাই করুন
সংস্করণ 4 কী GnuPG এবং sqop বা rsop‑এর মতো SOP টুলে কাজ করে, অ্যালগরিদমের সমর্থন অনুযায়ী। অস্থায়ী GNUPGHOME ব্যবহার করুন, যাতে পরীক্ষামূলক কী আসল কীরিংয়ে না যায়:
gpg --import pgp-example-21-public.asc
gpg --verify test_1MB.bin.asc test_1MB.bin